> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ledger provider

> Retrieve the redacted accounting provider connected to a ledger.



## OpenAPI

````yaml get /v1/accounting/ledgers/{id}/client-provider
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/ledgers/{id}/client-provider:
    get:
      tags:
        - Accounting > Ledgers
      summary: Get ledger provider
      description: Retrieve the redacted accounting provider connected to a ledger.
      operationId: getLedgerClientProvider
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingProvider'
      security:
        - bearer: []
components:
  schemas:
    AccountingProvider:
      type:
        - object
        - 'null'
      properties:
        id:
          type: string
          description: Unique identifier of the provider connection.
        provider_name:
          type: string
          description: Public name of the accounting provider.
        provider_account_id:
          type: string
          description: Identifier of the connected provider account.
        provider_account_name:
          type:
            - string
            - 'null'
          description: Display name of the connected provider account.
        verification_status:
          type: string
          description: Verification status of the provider connection.
      required:
        - id
        - provider_name
        - provider_account_id
        - provider_account_name
        - verification_status
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````